defmodule Frenzy.Filter do
  use Ecto.Schema
  import Ecto.Changeset

  schema "filters" do
    field :mode, :string
    field :score, :integer

    belongs_to :feed, Frenzy.Feed
    has_many :rules, Frenzy.Rule, on_delete: :delete_all

    timestamps()
  end

  @doc false
  def changeset(filter, attrs) do
    filter
    |> cast(attrs, [:mode, :score])
    |> cast_assoc(:rules)
    |> validate_required([:mode, :score])
  end
end
