defmodule Frenzy.Rule do
  use Ecto.Schema
  import Ecto.Changeset

  schema "rules" do
    field :mode, :string
    field :property, :string
    field :param, :string
    field :weight, :integer

    belongs_to :filter, Frenzy.Filter

    timestamps()
  end

  @doc false
  def changeset(rule, attrs) do
    rule
    |> cast(attrs, [:mode, :property, :param, :weight])
    |> validate_required([:mode, :property, :param, :weight])
  end
end
